Bug 242637 - CodeCompletion took 2346 ms.
CodeCompletion took 2346 ms.
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Compiler
8.0
All All
: P3 (vote)
: 8.1
Assigned To: Dusan Balek
issues@java
EXCEPTIONS_REPORT perf-profileme
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-06 22:19 UTC by Exceptions Reporter
Modified: 2015-03-17 09:26 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (39.07 KB, application/nps)
2014-03-06 22:19 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Exceptions Reporter 2014-03-06 22:19:08 UTC
Build: NetBeans IDE 8.0 Beta (Build 201401141042)
VM: Java HotSpot(TM) 64-Bit Server VM, 24.51-b03, Java(TM) SE Runtime Environment, 1.7.0_51-b13
OS: Windows 8

User Comments:
rafaoliva: Execute a archive main.

GUEST: <Please provide a description of the problem or the steps to reproduce>f

GUEST: I was adding "System.out.println" to an event handler, lag seem to be associated with showing javadoc.

brettryan: IDE always has bouts of slowness, also get a lot of low memory alerts.

This has been something I have been seeing a lot in the 7.x series but getting worse with each revision.

GUEST: replacce any code SwingX JxHeader

akobberup: coding



Maximum slowness yet reported was 5227 ms, average is 3503
Comment 1 Exceptions Reporter 2014-03-06 22:19:10 UTC
Created attachment 145821 [details]
nps snapshot
Comment 2 Dusan Balek 2015-03-12 09:09:51 UTC
Extermely slow parsing without a particular reason. Perhaps, IDE was running out of the memory as confirmed by brettryan: IDE always has bouts of slowness, also get a lot of low memory alerts.
Has to be fixed by finding and fixing memory leaks.
Comment 3 brettryan 2015-03-12 09:20:16 UTC
Dusan, could you consider revisiting with an internet connection that does not work.

To elaborate this bug is present when an internet connection is present, the DNS server resolves host names, yet the connection drops packets. This results in timeouts to occur.

To elaborate further on real world scenarios where these conditions are met is with a corporate VPN where internet traffic is rejected yet the corporate DNS server resolves names.

Unfortunately i am stuck with these exact conditions which the IDE does not support very well.
Comment 4 Dusan Balek 2015-03-12 10:02:37 UTC
brettryan, do you have your sources on the remote disc accessible via VPN? Or what is the particular role the internet connection plays in your scenario?
Comment 5 brettryan 2015-03-12 14:04:11 UTC
My companies central git repository and databases are remote, however connecting to these is fine, the problem arises when other components within the IDE try to access remote resources unrelated to my company.

For example, if I edit an XML file which contains shemaLocation references and I invoke code completion reactor kicks in and tries to download the XSD but never completes. Other conditions are if I invoke code completion in a Java file it will try to show me the help even though I already have local sources but fails (maven project). Also when I try to navigate sources through CTRL+Click, it will fail again even though I have local sources.

If I disable my internet connection entirely the IDE behaves normally showing me the help and allowing me to navigate sources, it's only when the Internet connectin is enabled but the firewall at the other end intentionally drops packets for requests outside our network, unfortunately the mode is strict and doesn't send any response.

Slowness will always occur when these conditions are met, while I can disable Internet it then means I can't access my companies maven server, work with git, use my companies databases, therefor it's not really an option.
Comment 6 Dusan Balek 2015-03-17 09:26:15 UTC
Problem with displaying remote Javadoc fixed.

http://hg.netbeans.org/jet-main/rev/bd8b182bf04d

Please file a separate bug against XML editor describing your problems with shemaLocation references in XML code completion. Thanks.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo